# kyotocabinet::SlottedMutex< SLOTNUM > Class Template Reference

Slotted mutex device. More...

`#include <kcthread.h>`

List of all members.

## Public Member Functions

| SlottedMutex ()
| Constructor.
| ~SlottedMutex ()
| Destructor.
void | lock (int32_t idx)
| Get the lock of a slot.
void | unlock (int32_t idx)
| Release the lock of a slot.
void | lock_all ()
| Get the locks of all slots.
void | unlock_all ()
| Release the locks of all slots.

## Detailed Description

### template<int32_t SLOTNUM>
class kyotocabinet::SlottedMutex< SLOTNUM >

Slotted mutex device.

Parameters:

  | SLOTNUM | the number of slots.

## Constructor & Destructor Documentation

template<int32_t SLOTNUM>

kyotocabinet::SlottedMutex< SLOTNUM >::SlottedMutex | ( |  | ) | `[explicit]`

Constructor.

template<int32_t SLOTNUM>

kyotocabinet::SlottedMutex< SLOTNUM >::~SlottedMutex | ( |  | ) |

Destructor.

## Member Function Documentation

template<int32_t SLOTNUM>

void kyotocabinet::SlottedMutex< SLOTNUM >::lock | ( | int32_t | idx | ) |

Get the lock of a slot.

Parameters:

  | idx | the index of a slot.

template<int32_t SLOTNUM>

void kyotocabinet::SlottedMutex< SLOTNUM >::unlock | ( | int32_t | idx | ) |

Release the lock of a slot.

Parameters:

  | idx | the index of a slot.

template<int32_t SLOTNUM>

void kyotocabinet::SlottedMutex< SLOTNUM >::lock_all | ( |  | ) |

Get the locks of all slots.

template<int32_t SLOTNUM>

void kyotocabinet::SlottedMutex< SLOTNUM >::unlock_all | ( |  | ) |

Release the locks of all slots.